# Discrete1DFunction Class Reference

This is a TabulatedFunction that computes a discrete one dimensional function f(x). More...

`#include <TabulatedFunction.h>`

Inheritance diagram for Discrete1DFunction:

List of all members.

## Public Member Functions
| Discrete1DFunction (const std::vector< double > &values)
| Create a Discrete1DFunction f(x) based on a set of tabulated values.
void | getFunctionParameters (std::vector< double > &values) const
| Get the parameters for the tabulated function.
void | setFunctionParameters (const std::vector< double > &values)
| Set the parameters for the tabulated function.
Discrete1DFunction * | Copy () const
| Create a deep copy of the tabulated function.

## Detailed Description

This is a TabulatedFunction that computes a discrete one dimensional function f(x).

To evaluate it, x is rounded to the nearest integer and the table element with that index is returned. If the index is outside the range [0, size), the result is undefined.

## Constructor & Destructor Documentation

Discrete1DFunction | ( | const std::vector< double > & | values | ) |

Create a Discrete1DFunction f(x) based on a set of tabulated values.

Parameters:

  | values | the tabulated values of the function f(x)

## Member Function Documentation

Discrete1DFunction* Copy | ( |  | ) | const`[virtual]`

Create a deep copy of the tabulated function.

Implements TabulatedFunction.

void getFunctionParameters | ( | std::vector< double > & | values | ) | const

Get the parameters for the tabulated function.

Parameters:

  | values | the tabulated values of the function f(x)

void setFunctionParameters | ( | const std::vector< double > & | values | ) |

Set the parameters for the tabulated function.

Parameters:

  | values | the tabulated values of the function f(x)

The documentation for this class was generated from the following file:

- TabulatedFunction.h